import { ApiCall } from "tsrpc";
import { ReqRankUids, ResRankUids } from "../../cross/protocols/clsl/PtlRankUids";
import { Rank } from '../../public/rank/rank';

export default async function (call: ApiCall<ReqRankUids, ResRankUids>) {
    // 返回排名的uids, 应用场景是定时器发送奖励，不分页。
    let uids = await Rank.list.clslCross.getRankListIdKeyAll()
    call.succ({uids});
}